Package org.apache.tools.ant.taskdefs

## Class CVSPass

- java.lang.Object
- - org.apache.tools.ant.ProjectComponent
  - - org.apache.tools.ant.Task
    - - org.apache.tools.ant.taskdefs.CVSPass

All Implemented Interfaces:
  `java.lang.Cloneable`

    public class CVSPass
    extends Task

Adds an new entry to a CVS password file.

Since:
  Ant 1.4

### Field Summary

### Fields inherited from class org.apache.tools.ant.Task

`target, taskName, taskType, wrapper`

### Fields inherited from class org.apache.tools.ant.ProjectComponent

`description, location, project`

### Constructor Summary

Constructors
`CVSPass()` Create a CVS task using the default cvspass file location.

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `execute()` Does the work.
`void` `setCvsroot​(java.lang.String cvsRoot)` The CVS repository to add an entry for.
`void` `setPassfile​(java.io.File passFile)` Password file to add the entry to.
`void` `setPassword​(java.lang.String password)` Password to be added to the password file.

### Methods inherited from class org.apache.tools.ant.Task

`bindToOwner, getOwningTarget, getRuntimeConfigurableWrapper, getTaskName, getTaskType, getWrapper, handleErrorFlush, handleErrorOutput, handleFlush, handleInput, handleOutput, init, isInvalid, log, log, log, log, maybeConfigure, perform, reconfigure, setOwningTarget, setRuntimeConfigurableWrapper, setTaskName, setTaskType`

### Methods inherited from class org.apache.tools.ant.ProjectComponent

`clone, getDescription, getLocation, getProject, setDescription, setLocation, setProject`

### Methods inherited from class java.lang.Object

`equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### CVSPass

    public CVSPass()

Create a CVS task using the default cvspass file location.

### Method Detail

#### execute

    public final void execute()
                       throws BuildException

Does the work.

Overrides:
  `execute` in class `Task`
Throws:
  `BuildException` - if something goes wrong with the build

#### setCvsroot

    public void setCvsroot​(java.lang.String cvsRoot)

The CVS repository to add an entry for.

Parameters:
  `cvsRoot` - the CVS repository

#### setPassfile

    public void setPassfile​(java.io.File passFile)

Password file to add the entry to.

Parameters:
  `passFile` - the password file.

#### setPassword

    public void setPassword​(java.lang.String password)

Password to be added to the password file.

Parameters:
  `password` - the password.